Bug 502063 - Monit and selinux conflicts?
Monit and selinux conflicts?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: monit (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 13:27 EDT by Penelope Fudd
Modified: 2009-12-18 04:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:28:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of /etc/monit.d directory (3.87 KB, application/zip)
2009-05-21 13:27 EDT, Penelope Fudd
no flags Details

  None (edit)
Description Penelope Fudd 2009-05-21 13:27:26 EDT
Created attachment 344996 [details]
Contents of /etc/monit.d directory

Description of problem:
I've set up monit to monitor and restart sendmail, spamassassin, regex-milter, greylist-milter, clamav-milter and spamass-milter, as one or more of the milters has a habit of dying.  However, monit has a problem with selinux denying access to the appropriate binaries for checksumming and permission testing prior to restarting them.

Version-Release number of selected component (if applicable):
monit-4.10.1-8.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Configure monit to examine binaries and run init scripts
2. Start monit
3. Run 'monit; monit status' to see what's running
  
Actual results:

[PDT May 21 10:23:21] info     : Monit started
[PDT May 21 10:23:21] error    : 'spamass_bin' checksum test failed for /usr/sbin/spamass-milter
[PDT May 21 10:23:24] error    : 'spamass_bin' permission test failed for /usr/sbin/spamass-milter -- current permission is 0000
[PDT May 21 10:23:25] error    : 'regex_bin' checksum test failed for /usr/sbin/milter-regex
[PDT May 21 10:23:26] error    : 'regex_bin' permission test failed for /usr/sbin/milter-regex -- current permission is 0000
[PDT May 21 10:23:26] error    : 'clamav_bin' checksum test failed for /usr/sbin/clamav-milter
[PDT May 21 10:23:27] error    : 'clamav_bin' permission test failed for /usr/sbin/clamav-milter -- current permission is 0000

Expected results:

Everything should just work.

Additional info:

This is weird; setenforce 0 isn't helping.
Comment 1 Penelope Fudd 2009-05-21 13:32:48 EDT
Problem identified: the checksums on all of these files changed when I turned off -R in the /etc/sysconfig/prelink config file.

The permission test failure is bizarre, though.  It shouldn't have printed that.
Comment 2 Stewart Adam 2009-05-24 14:13:43 EDT
Was monit issuing permission check warnings prior to when you modified /etc/sysconfig/prelink?
Comment 3 Penelope Fudd 2009-05-24 14:25:18 EDT
No, the permission check warnings were new.  

Also, the permission flags (before and after prelink) for these files are 0755, not 0000.  I think monit is pretending that files with changed checksums are not readable.  That's ok, but if it could avoid emailing about things that are not true, that'd be even better.
Comment 4 Bug Zapper 2009-11-18 07:52:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:28:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.